DBusTransportSocket Struct Reference
DBusTransport implementations for sockets

Implementation details of DBusTransportSocket. More...

## Data Fields

DBusTransport | base
| Parent instance.
int | fd
| File descriptor. More...
DBusWatch * | read_watch
| Watch for readability. More...
DBusWatch * | write_watch
| Watch for writability. More...
int | max_bytes_read_per_iteration
| To avoid blocking too long. More...
int | max_bytes_written_per_iteration
| To avoid blocking too long. More...
int | message_bytes_written
| Number of bytes of current outgoing message that have been written.
DBusString | encoded_outgoing
| Encoded version of current outgoing message.
DBusString | encoded_incoming
| Encoded version of current incoming data.

## Detailed Description

Implementation details of DBusTransportSocket.

All members are private.

Definition at line 49 of file dbus-transport-socket.c.

## Field Documentation

int DBusTransportSocket::fd

File descriptor.

Definition at line 52 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

int DBusTransportSocket::max_bytes_read_per_iteration

To avoid blocking too long.

Definition at line 56 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

int DBusTransportSocket::max_bytes_written_per_iteration

To avoid blocking too long.

Definition at line 57 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

DBusWatch* DBusTransportSocket::read_watch

Watch for readability.

Definition at line 53 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

DBusWatch* DBusTransportSocket::write_watch

Watch for writability.

Definition at line 54 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

The documentation for this struct was generated from the following file:

- dbus-transport-socket.c